import { AbstractProject } from '../types';
import { ResourceLoaded, ProjectNature } from './tsConfig';
/**
 * get all @types dependencies from package.json and query https://unpkg.com/@types/... to download its index.d.ts
 * then instruct monaco to add them
 *
 * TODO: there could be dependencies that dont need @type we should query all by package.json and see its typing property
 */
export declare function installTypes(project: AbstractProject, projectNature: ProjectNature): Promise<ProjectNature>;
export declare function monacoAddExtraLibrary(lib: string, content: string): ResourceLoaded;
