"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getMonaco() {
    return window.monaco;
}
exports.getMonaco = getMonaco;
exports.requireMonaco = function (fn) {
    if (!window.RequireMonaco) {
        const timer = setInterval(() => {
            if (window.RequireMonaco) {
                clearInterval(timer);
                window.RequireMonaco(fn);
            }
        }, 100);
    }
    else {
        window.RequireMonaco(fn);
    }
};
exports.monacoLoaded = () => {
    return new Promise(resolve => {
        exports.requireMonaco(() => resolve(getMonaco()));
    });
};
//# sourceMappingURL=monacoFacade.js.map