import { Component, MouseEvent } from 'react';
import { ExtendedNodeData } from 'react-sortable-tree';
import { AbstractState } from '../types';
import { TreeNode } from '../ui-util/fileTreeUtil';
export declare class FileTree<T extends AbstractState> extends Component<{
    state: T;
}> {
    render(): JSX.Element;
    getTestData(): TreeNode[];
    nodeClicked(event: MouseEvent, rowInfo: ExtendedNodeData): any;
    onContextMenu(e: MouseEvent<Element>, rowInfo: ExtendedNodeData, state: AbstractState): void;
    setSelectedFile(node: TreeNode): void;
}
