import * as ts from "typescript";
/** a facade for obtaining ts implementation without loading typescript.js - like in a monaco-editor environment where the typescriptService.js is already loaded */
export declare function getTs(): typeof ts;
export declare const defaultFormatDiagnosticHost: ts.FormatDiagnosticsHost;
export declare function buildCompilerOptions(compilerOptions: ts.CompilerOptions | string): ts.CompilerOptions;
export declare function tsLoaded(): Promise<typeof ts>;
